> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Expense type fields - update

> Recomputes the field definitions after a client-side change to one or more fields. Send the current `fields` payload as the request body — typically after a field marked `requiresUpdate: true` was edited — and the response returns the same shape with derived and dependent fields refreshed and any custom-field scripts re-evaluated. Unlike the GET variant, no fields are seeded from server-side records; the client's payload is the source of truth. Pass `applyScanResult=<contentId>` to fold receipt-scan results into the response.



## OpenAPI

````yaml /openapi/findity-expense-api.json put /me/organizations/{id}/expensetypes/{expenseType}/fields
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /me/organizations/{id}/expensetypes/{expenseType}/fields:
    put:
      tags:
        - Fields
      summary: Expense type fields - update
      description: >-
        Recomputes the field definitions after a client-side change to one or
        more fields. Send the current `fields` payload as the request body —
        typically after a field marked `requiresUpdate: true` was edited — and
        the response returns the same shape with derived and dependent fields
        refreshed and any custom-field scripts re-evaluated. Unlike the GET
        variant, no fields are seeded from server-side records; the client's
        payload is the source of truth. Pass `applyScanResult=<contentId>` to
        fold receipt-scan results into the response.
      operationId: putOrganizationExpenseTypeFields
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - $ref: '#/components/parameters/expenseTypePath'
        - $ref: '#/components/parameters/applyScanResult'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FieldsResponse'
            examples:
              Receipt verification example:
                value:
                  fields:
                    - name: Id
                      property: id
                      controlType: TEXT
                      mandatory: false
                      visible: false
                      value: 99601cd0f6ba438cb16ca17b8edf25a0
                      errorText: null
                      error: null
                      custom: false
                    - name: null
                      property: version
                      controlType: INTEGER
                      mandatory: false
                      visible: false
                      value: 2
                      errorText: null
                      error: null
                      custom: false
                    - name: Receipt
                      property: verification.receiptAttachment
                      controlType: CONTENT_HOLDER
                      mandatory: false
                      visible: true
                      value: receiptAttachmentId
                      errorText: null
                      error: null
                      custom: false
                      data:
                        id: receiptAttachmentId
                        name: name of receiptAttachment
                    - name: Category
                      property: categoryId
                      controlType: LIST
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      requiresUpdate: true
                      scannable: true
                      url: >-
                        /me/organizations/8ab28cb36ccde07d016ccdfb47d00216/expensetypes/ReceiptVerification/categories
                    - name: Expense report
                      property: expenseReportId
                      controlType: LIST
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      url: >-
                        /expensereports?statuses=NORMAL,NEW&organizationId=8ab28cb36ccde07d016ccdfb47d00216
                    - name: Verification number
                      property: verification.verificationNumber
                      controlType: TEXT
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      disabled: true
                    - name: Description
                      property: verification.description
                      controlType: TEXT
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                    - name: Date of purchase
                      property: verification.purchaseDate
                      controlType: DATE
                      mandatory: false
                      visible: true
                      value: '2019-09-30T14:33:26Z'
                      errorText: null
                      error: null
                      custom: false
                      requiresUpdate: true
                      scannable: true
                      allowFutureDate: false
                    - name: Payment method
                      property: verification.paymentTypeId
                      controlType: LIST
                      mandatory: true
                      visible: true
                      value: f433bd56f038486faeee6a5ddd5177f2
                      errorText: null
                      error: null
                      custom: false
                      url: >-
                        /me/organizations/8ab28cb36ccde07d016ccdfb47d00216/paymenttypes
                      data:
                        iconUrl: null
                        id: f433bd56f038486faeee6a5ddd5177f2
                        name: Payment
                        section: null
                    - name: Store
                      property: verification.storeName
                      controlType: TEXT
                      mandatory: false
                      visible: false
                      value: null
                      errorText: null
                      error: null
                      custom: false
                    - name: Amount incl. VAT
                      property: verification.amount
                      controlType: DOUBLE
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      scannable: true
                    - name: Tip
                      property: verification.tip
                      controlType: DOUBLE
                      mandatory: false
                      visible: false
                      value: null
                      errorText: null
                      error: null
                      custom: false
                    - name: VAT
                      property: verification.taxAmount
                      controlType: DOUBLE
                      mandatory: false
                      visible: true
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      scannable: true
                    - name: Currency
                      property: verification.currency
                      controlType: LIST
                      mandatory: true
                      visible: true
                      value: SEK
                      errorText: null
                      error: null
                      custom: false
                      requiresUpdate: true
                      scannable: true
                      url: >-
                        /me/organizations/8ab28cb36ccde07d016ccdfb47d00216/currencies
                      data:
                        iconUrl: null
                        id: SEK
                        name: Swedish Krona
                        section: null
                    - name: Exchange rate
                      property: verification.exchangeRate
                      controlType: DOUBLE
                      mandatory: false
                      visible: false
                      value: 1
                      errorText: null
                      error: null
                      custom: false
                    - name: Expense Level (not-changable)
                      property: 8ab28c4f70f773590170f7cda2ea08bc
                      controlType: LIST
                      mandatory: false
                      visible: false
                      value: null
                      errorText: null
                      error: null
                      custom: true
                      url: >-
                        /me/organizations/8ab28cb36ccde07d016ccdfb47d00216/lists/CUSTOM_DIMENSIONS_4f38a4cc3fe242d394058626523044c1_8ab28cb36ccde07d016ccdfb47d00216
                    - name: Employee dim
                      property: 8ab28c4f723887dd01723c5cae82020e
                      controlType: LIST
                      mandatory: false
                      visible: false
                      value: null
                      errorText: null
                      error: null
                      custom: true
                      url: >-
                        /me/organizations/8ab28cb36ccde07d016ccdfb47d00216/lists/CUSTOM_DIMENSIONS_d4c8684b75ff4026b69810c8d912aea4_8ab28cb36ccde07d016ccdfb47d00216
                    - name: Entertainment
                      property: verification.representation
                      controlType: FIELD_GROUP
                      mandatory: false
                      visible: false
                      value: null
                      errorText: null
                      error: null
                      custom: false
                      fields:
                        - name: Type
                          property: verification.representation.type
                          controlType: LIST
                          mandatory: false
                          visible: false
                          value: null
                          errorText: null
                          error: null
                          custom: false
                          requiresUpdate: true
                        - name: Included liquor/wine/strong beer
                          property: verification.representation.includesLiquor
                          controlType: SWITCH
                          mandatory: false
                          visible: false
                          value: null
                          errorText: null
                          error: null
                          custom: false
                        - name: Attach guest list
                          property: verification.representation.guestListAttached
                          controlType: SWITCH
                          mandatory: false
                          visible: false
                          value: false
                          errorText: null
                          error: null
                          custom: false
                          requiresUpdate: true
                        - name: Guests
                          property: verification.representation.guests
                          controlType: GUEST_LIST
                          mandatory: false
                          visible: false
                          value: []
                          errorText: null
                          error: null
                          custom: false
                        - name: Number of guests
                          property: verification.representation.numberOfGuests
                          controlType: INTEGER
                          mandatory: false
                          visible: false
                          value: null
                          errorText: null
                          error: null
                          custom: false
                        - name: Number of external guests
                          property: verification.representation.numberOfExternalGuests
                          controlType: INTEGER
                          mandatory: false
                          visible: false
                          value: null
                          errorText: null
                          error: null
                          custom: false
                        - name: Place
                          property: verification.representation.place
                          controlType: TEXT
                          mandatory: false
                          visible: false
                          value: null
                          errorText: null
                          error: null
                          custom: false
                        - name: Attached guest list
                          property: verification.representation.guestListAttachment
                          controlType: CONTENT_HOLDER
                          mandatory: true
                          visible: false
                          value: guestListAttachmentId
                          errorText: null
                          error: null
                          custom: false
                          data:
                            id: guestListAttachmentId
                            name: name of guestListAttachment
                      commands:
                        - text: Clear guests
                          confirmationRequired: true
                          confirmation: Are you sure you want to clear guests?
                          command: action=removeGuests
                        - text: Clear representation
                          confirmationRequired: true
                          confirmation: Are you sure you want to clear representation?
                          command: action=removeRepresentation
                    - name: Comment
                      property: verification.comment
                      controlType: MULTI_LINE_TEXT
                      mandatory: false
                      visible: true
                      value: Some comment
                      errorText: null
                      error: null
                      custom: false
                    - name: Card transaction
                      property: verification.cardTransaction
                      controlType: TEXT
                      mandatory: false
                      visible: true
                      value: Some id
                      errorText: null
                      error: null
                      custom: false
                      disabled: true
                    - name: Attachments
                      property: verification.attachments
                      controlType: CONTENT_HOLDER
                      mandatory: false
                      visible: true
                      value:
                        - id1
                        - id2
                      errorText: null
                      error: null
                      custom: false
                      disabled: false
                      data:
                        - id: id1
                          name: name of attachment with id1
                        - id: id2
                          name: name of attachment with id2
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FieldsResponse'
              examples:
                Receipt verification example:
                  value:
                    fields:
                      - name: Id
                        property: id
                        controlType: TEXT
                        mandatory: false
                        visible: false
                        value: 99601cd0f6ba438cb16ca17b8edf25a0
                        errorText: null
                        error: null
                        custom: false
                      - name: null
                        property: version
                        controlType: INTEGER
                        mandatory: false
                        visible: false
                        value: 2
                        errorText: null
                        error: null
                        custom: false
                      - name: Receipt
                        property: verification.receiptAttachment
                        controlType: CONTENT_HOLDER
                        mandatory: false
                        visible: true
                        value: receiptAttachmentId
                        errorText: null
                        error: null
                        custom: false
                        data:
                          id: receiptAttachmentId
                          name: name of receiptAttachment
                      - name: Category
                        property: categoryId
                        controlType: LIST
                        mandatory: false
                        visible: true
                        value: null
                        errorText: null
                        error: null
                        custom: false
                        requiresUpdate: true
                        scannable: true
                        url: >-
                          /me/organizations/8ab28cb36ccde07d016ccdfb47d00216/expensetypes/ReceiptVerification/categories
                      - name: Expense report
                        property: expenseReportId
                        controlType: LIST
                        mandatory: false
                        visible: true
                        value: null
                        errorText: null
                        error: null
                        custom: false
                        url: >-
                          /expensereports?statuses=NORMAL,NEW&organizationId=8ab28cb36ccde07d016ccdfb47d00216
                      - name: Verification number
                        property: verification.verificationNumber
                        controlType: TEXT
                        mandatory: false
                        visible: true
                        value: null
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                      - name: Description
                        property: verification.description
                        controlType: TEXT
                        mandatory: false
                        visible: true
                        value: null
                        errorText: null
                        error: null
                        custom: false
                      - name: Date of purchase
                        property: verification.purchaseDate
                        controlType: DATE
                        mandatory: false
                        visible: true
                        value: '2019-09-30T14:33:26Z'
                        errorText: null
                        error: null
                        custom: false
                        requiresUpdate: true
                        scannable: true
                        allowFutureDate: false
                      - name: Payment method
                        property: verification.paymentTypeId
                        controlType: LIST
                        mandatory: true
                        visible: true
                        value: f433bd56f038486faeee6a5ddd5177f2
                        errorText: null
                        error: null
                        custom: false
                        url: >-
                          /me/organizations/8ab28cb36ccde07d016ccdfb47d00216/paymenttypes
                        data:
                          iconUrl: null
                          id: f433bd56f038486faeee6a5ddd5177f2
                          name: Payment
                          section: null
                      - name: Store
                        property: verification.storeName
                        controlType: TEXT
                        mandatory: false
                        visible: false
                        value: null
                        errorText: null
                        error: null
                        custom: false
                      - name: Amount incl. VAT
                        property: verification.amount
                        controlType: DOUBLE
                        mandatory: false
                        visible: true
                        value: null
                        errorText: null
                        error: null
                        custom: false
                        scannable: true
                      - name: Tip
                        property: verification.tip
                        controlType: DOUBLE
                        mandatory: false
                        visible: false
                        value: null
                        errorText: null
                        error: null
                        custom: false
                      - name: VAT
                        property: verification.taxAmount
                        controlType: DOUBLE
                        mandatory: false
                        visible: true
                        value: null
                        errorText: null
                        error: null
                        custom: false
                        scannable: true
                      - name: Currency
                        property: verification.currency
                        controlType: LIST
                        mandatory: true
                        visible: true
                        value: SEK
                        errorText: null
                        error: null
                        custom: false
                        requiresUpdate: true
                        scannable: true
                        url: >-
                          /me/organizations/8ab28cb36ccde07d016ccdfb47d00216/currencies
                        data:
                          iconUrl: null
                          id: SEK
                          name: Swedish Krona
                          section: null
                      - name: Exchange rate
                        property: verification.exchangeRate
                        controlType: DOUBLE
                        mandatory: false
                        visible: false
                        value: 1
                        errorText: null
                        error: null
                        custom: false
                      - name: Expense Level (not-changable)
                        property: 8ab28c4f70f773590170f7cda2ea08bc
                        controlType: LIST
                        mandatory: false
                        visible: false
                        value: null
                        errorText: null
                        error: null
                        custom: true
                        url: >-
                          /me/organizations/8ab28cb36ccde07d016ccdfb47d00216/lists/CUSTOM_DIMENSIONS_4f38a4cc3fe242d394058626523044c1_8ab28cb36ccde07d016ccdfb47d00216
                      - name: Employee dim
                        property: 8ab28c4f723887dd01723c5cae82020e
                        controlType: LIST
                        mandatory: false
                        visible: false
                        value: null
                        errorText: null
                        error: null
                        custom: true
                        url: >-
                          /me/organizations/8ab28cb36ccde07d016ccdfb47d00216/lists/CUSTOM_DIMENSIONS_d4c8684b75ff4026b69810c8d912aea4_8ab28cb36ccde07d016ccdfb47d00216
                      - name: Entertainment
                        property: verification.representation
                        controlType: FIELD_GROUP
                        mandatory: false
                        visible: false
                        value: null
                        errorText: null
                        error: null
                        custom: false
                        fields:
                          - name: Type
                            property: verification.representation.type
                            controlType: LIST
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                            requiresUpdate: true
                          - name: Included liquor/wine/strong beer
                            property: verification.representation.includesLiquor
                            controlType: SWITCH
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Attach guest list
                            property: verification.representation.guestListAttached
                            controlType: SWITCH
                            mandatory: false
                            visible: false
                            value: false
                            errorText: null
                            error: null
                            custom: false
                            requiresUpdate: true
                          - name: Guests
                            property: verification.representation.guests
                            controlType: GUEST_LIST
                            mandatory: false
                            visible: false
                            value: []
                            errorText: null
                            error: null
                            custom: false
                          - name: Number of guests
                            property: verification.representation.numberOfGuests
                            controlType: INTEGER
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Number of external guests
                            property: verification.representation.numberOfExternalGuests
                            controlType: INTEGER
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Place
                            property: verification.representation.place
                            controlType: TEXT
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Attached guest list
                            property: verification.representation.guestListAttachment
                            controlType: CONTENT_HOLDER
                            mandatory: true
                            visible: false
                            value: guestListAttachmentId
                            errorText: null
                            error: null
                            custom: false
                            data:
                              id: guestListAttachmentId
                              name: name of guestListAttachment
                        commands:
                          - text: Clear guests
                            confirmationRequired: true
                            confirmation: Are you sure you want to clear guests?
                            command: action=removeGuests
                          - text: Clear representation
                            confirmationRequired: true
                            confirmation: Are you sure you want to clear representation?
                            command: action=removeRepresentation
                      - name: Comment
                        property: verification.comment
                        controlType: MULTI_LINE_TEXT
                        mandatory: false
                        visible: true
                        value: Some comment
                        errorText: null
                        error: null
                        custom: false
                      - name: Card transaction
                        property: verification.cardTransaction
                        controlType: TEXT
                        mandatory: false
                        visible: true
                        value: Some id
                        errorText: null
                        error: null
                        custom: false
                        disabled: true
                      - name: Attachments
                        property: verification.attachments
                        controlType: CONTENT_HOLDER
                        mandatory: false
                        visible: true
                        value:
                          - id1
                          - id2
                        errorText: null
                        error: null
                        custom: false
                        disabled: false
                        data:
                          - id: id1
                            name: name of attachment with id1
                          - id: id2
                            name: name of attachment with id2
                Car specification example:
                  value:
                    fields:
                      - name: Id
                        property: id
                        controlType: TEXT
                        mandatory: false
                        visible: false
                        value: aba39b91c2c6407190cc69f2b0f5d41a
                        errorText: null
                        error: null
                        custom: false
                      - name: null
                        property: version
                        controlType: INTEGER
                        mandatory: false
                        visible: false
                        value: 2
                        errorText: null
                        error: null
                        custom: false
                      - name: Category
                        property: categoryId
                        controlType: LIST
                        mandatory: false
                        visible: true
                        value: b219079277d14c77a0c85497504cf90b
                        errorText: null
                        error: null
                        custom: false
                        requiresUpdate: true
                        url: >-
                          /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/expensetypes/CarSpecification/categories
                        data:
                          iconUrl: >-
                            https://stage-expense.findity.com/api/resources/8a49a1b359cbfe2a0159d565c056013a
                          id: b219079277d14c77a0c85497504cf90b
                          name: Milersättning
                          section: 5
                      - name: Comment
                        property: verification.comment
                        controlType: MULTI_LINE_TEXT
                        mandatory: false
                        visible: true
                        value: null
                        errorText: null
                        error: null
                        custom: false
                      - name: Expense report
                        property: expenseReportId
                        controlType: LIST
                        mandatory: false
                        visible: true
                        value: null
                        errorText: null
                        error: null
                        custom: false
                        url: >-
                          /expensereports?statuses=NORMAL,NEW&organizationId=8ab28c4f6fd37d39016fd6fee0470003
                      - name: Travel date
                        property: verification.travelDate
                        controlType: DATE_TIME
                        mandatory: false
                        visible: true
                        value: '2024-01-05T12:46:11Z'
                        errorText: null
                        error: null
                        custom: false
                        allowFutureDate: false
                      - name: Destination
                        property: verification.destination
                        controlType: TEXT
                        mandatory: false
                        visible: false
                        value: Stockholm, Sweden - Ludvika, Sweden
                        errorText: null
                        error: null
                        custom: false
                      - name: Vehicle type
                        property: verification.carType
                        controlType: LIST
                        mandatory: true
                        visible: true
                        value: PRIVATE_CAR
                        errorText: null
                        error: null
                        custom: false
                        url: >-
                          /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/categories/b219079277d14c77a0c85497504cf90b/cartypes
                        data:
                          iconUrl: null
                          id: PRIVATE_CAR
                          name: Private car
                          section: null
                      - name: Route
                        property: verification.travelRoute
                        controlType: FIELD_GROUP
                        mandatory: false
                        visible: true
                        value: null
                        errorText: null
                        error: null
                        custom: false
                        requiresUpdate: true
                        fields:
                          - name: Manually enter distance
                            property: verification.manualDistance
                            controlType: SWITCH
                            mandatory: false
                            visible: true
                            value: false
                            errorText: null
                            error: null
                            custom: false
                            requiresUpdate: true
                          - name: Fleet managemnet trips
                            property: verification.fleetManagementTripIds
                            controlType: LIST
                            mandatory: false
                            visible: true
                            value: null
                            url: >-
                              /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/categories/b219079277d14c77a0c85497504cf90b/fleetmanagementtrips
                            requiresUpdate: true
                            multiSelect: true
                          - name: Route
                            property: verification.route
                            controlType: MILEAGE_ROUTE
                            mandatory: false
                            visible: true
                            value:
                              - latitude: '59.3293481'
                                longitude: '18.0682306'
                                place: Stockholm, Sweden
                              - latitude: '60.1523510'
                                longitude: '15.1919879'
                                place: Ludvika, Sweden
                            errorText: null
                            error: null
                            custom: false
                          - name: Distance
                            property: verification.distance
                            controlType: DOUBLE
                            mandatory: false
                            visible: false
                            value: 434
                            errorText: null
                            error: null
                            custom: false
                          - name: Distance with transport
                            property: verification.distanceInTransport
                            controlType: DOUBLE
                            mandatory: false
                            visible: false
                            value: 0
                            errorText: null
                            error: null
                            custom: false
                          - name: Distance on gravel
                            property: verification.distanceOnGravel
                            controlType: DOUBLE
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Distance with caravan
                            property: verification.distanceWithCaravan
                            controlType: DOUBLE
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Distance with dog
                            property: verification.distanceWithDog
                            controlType: DOUBLE
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Distance with heavy caravan
                            property: verification.distanceWithHeavyCaravan
                            controlType: DOUBLE
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Distance with trailer
                            property: verification.distanceWithTrailer
                            controlType: DOUBLE
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Road toll
                            property: verification.tollCost
                            controlType: DOUBLE
                            mandatory: false
                            visible: false
                            value: null
                            errorText: null
                            error: null
                            custom: false
                          - name: Number of extra passengers
                            property: verification.numberOfPassengers
                            controlType: INTEGER
                            mandatory: false
                            visible: false
                            value: 0
                            errorText: null
                            error: null
                            custom: false
                          - name: Round trip
                            property: verification.roundTrip
                            controlType: SWITCH
                            mandatory: false
                            visible: true
                            value: true
                            errorText: null
                            error: null
                            custom: false
                            requiresUpdate: true
                          - name: null
                            property: verification.fuelType
                            controlType: TEXT
                            mandatory: false
                            visible: true
                            value: null
                            errorText: null
                            error: null
                            custom: false
                            requiresUpdate: true
                          - name: null
                            property: verification.bompeng
                            controlType: TEXT
                            mandatory: false
                            visible: true
                            value: null
                            errorText: null
                            error: null
                            custom: false
                            requiresUpdate: true
                          - name: null
                            property: verification.travelTime
                            controlType: TEXT
                            mandatory: false
                            visible: true
                            value: null
                            errorText: null
                            error: null
                            custom: false
                            requiresUpdate: true
                          - name: null
                            property: virtual.mileageMap
                            controlType: TEXT
                            mandatory: false
                            visible: false
                            value: >-
                              https://stage-expense.findity.com/api/resources/ff8080818cd9867f018cd9aa1a6c0004
                            errorText: null
                            error: null
                            custom: false
                          - name: null
                            property: virtual.mileageMapChecksum
                            controlType: TEXT
                            mandatory: false
                            visible: false
                            value: e04fddb94af4d9da0b6c6886270ffcf0b90fe866
                            errorText: null
                            error: null
                            custom: false
                          - name: null
                            property: virtual.mileageCoordinatePoints
                            controlType: TEXT
                            mandatory: false
                            visible: false
                            value: >-
                              mwbiJm}gmBcDo@c@tHuBhH~A|JbCvM|BdOeBbYmOnPoQzTkHbv@oPngA}QzKyIgGcMmUsUqv@cHwE{JjJyYvp@wXpZeT`[wXnHoXpKud@th@uh@bq@}bAtkCk[pr@|Nn~AxL~_@lTzRnSdMvF`TgAtWoPfj@e_@x_C}PbfDoNdbAoYjlAwYzc@uSzJwjAzVyf@dYooA~_@sc@t^ce@po@sp@nl@__@`o@gWf|@ko@dmDoHrcAwQln@iv@fkAgi@|v@s[d{@}LlnAgAvnA{Dtp@mTtpAyi@hdBk\~gBeZhsAuh@reAih@l{Aqb@zcAut@fkB_`BdjE_i@pxA{k@|cDuWxeAaLjcB}G~zAsZ`pB_t@l{Bk]fsAy_@vv@y`@bu@eN~|@aSfoEiTxeEcJ~pDkZv~CoJpvBiFxtDyXtoDwCtdCeJloCkSdkDoVjpD_@|y@`Mj`Avp@pfB~DzfAoFlw@qPheDsF|{BfGts@vVhgAxUfkArFl{@qDveCiEteBhA~yArM|wAlh@x{Dre@nkBdSheCyIviEkCrrD~BvvK~[bkCvk@j|Bf]vcBfBhs@mHp|@eWv}CyMzh@{P~Z}PfvAmU~XaDbk@zJfiBta@jxAtUlmCbGlyAyMbZwe@pw@ae@lqA}k@tpAgl@j|@w[bvAcDvX}PvcB}VhkAq[h{@mMt`@qNpp@qd@`_GqQprA_c@jfBif@`_B_Q|j@q`@jw@qTjQsf@dKmh@~Hs`@dQc}@lp@k_@dVei@fOwwApWo^z_@}XfkAuI|oCmNbqA{Tnx@qZpi@eb@p]c{AnQa^jEco@v[oL|KsWd]sUnd@u_@poAk}@xyDqtArvDiX~i@mh@ld@at@b]si@dXg[de@gTbo@eYzb@uXda@ah@zyBocAvqAia@~aAgaAr~A{p@~aBse@p`BcUpn@kb@zoCnAl|@aGhnAgc@fcAs^~r@{e@|Nm_ArjAcc@hm@wf@b}AoFzG`AfIdKlr@l\fl@jt@~wBjSna@yAn[t@vkAa@pjAmK~eA{{@jeDmk@laBqm@pjAiu@jy@ud@hw@soBvsF_vAlrEcf@p]{d@tmAyShU{ZrPgm@le@ic@vXkt@hXkr@bn@aXrc@kLhl@qPdnA}c@b}@{Yb[qVrk@aXtp@aSpP{ZnZiQ|a@c[vaB{D|jAjDlm@nHjrA_DxcAuN|d@w[rk@mJ|l@iGrzAw@lgC}GvcAlLvnBHbtAyJ~p@aQ|XcFd[qQ~_BySbrAoTpw@{AneBbVp|@xJpTlGtj@kJtnAgK`t@h@lO
                            errorText: null
                            error: null
                            custom: false
                        commands:
                          - text: Clear travel route
                            confirmationRequired: true
                            confirmation: Are you sure you want to clear travel route?
                            command: action=removeTravelRoute
                      - name: Cost center
                        property: 8ab28c4e7337c2910173549217a50afc
                        controlType: LIST
                        mandatory: false
                        visible: true
                        value: KST2
                        errorText: null
                        error: null
                        custom: true
                        url: >-
                          /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/lists/CUSTOM_DIMENSIONS_0ddeefef621049ee85ad921ab7f199a6_8ab28c4f6fd37d39016fd6fee0470003
                        data:
                          iconUrl: null
                          id: KST2
                          name: KST 2
                          section: null
                      - name: Life PI
                        property: 8ab28c4e7e4488d2017e488f5eb5037c
                        controlType: LIST
                        mandatory: false
                        visible: true
                        value: null
                        errorText: null
                        error: null
                        custom: true
                        url: >-
                          /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/lists/CUSTOM_DIMENSIONS_5cec3d801370455cae41c9e16d551f45_8ab28c4f6fd37d39016fd6fee0470003
                      - name: Project
                        property: 8ab28c4f7337c45f017354921a4646a0
                        controlType: LIST
                        mandatory: false
                        visible: true
                        value: PRJ2
                        errorText: null
                        error: null
                        custom: true
                        url: >-
                          /me/organizations/8ab28c4f6fd37d39016fd6fee0470003/lists/CUSTOM_DIMENSIONS_2f60063da17241028d85e530a319efb1_8ab28c4f6fd37d39016fd6fee0470003
                        data:
                          iconUrl: null
                          id: PRJ2
                          name: PRJ 2
                          section: null
                      - name: Attachments
                        property: verification.attachments
                        controlType: CONTENT_HOLDER
                        mandatory: false
                        visible: true
                        value:
                          - id1
                          - id2
                        errorText: null
                        error: null
                        custom: false
                        disabled: false
                        data:
                          - id: id1
                            name: name of attachment with id1
                          - id: id2
                            name: name of attachment with id2
components:
  parameters:
    organizationId:
      in: path
      name: id
      required: true
      description: The id of the organization of the user
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
    expenseTypePath:
      in: path
      name: expenseType
      required: true
      description: >-
        Expense type where CarSpecification relates to Mileage,
        SubsistenceAllowance to Per Diem, etc
      schema:
        type: string
        enum:
          - CarSpecification
          - FoodBenefitsSpecification
          - FuelBenefitsSpecification
          - ReceiptVerification
          - SubsistenceAllowance
      example: ReceiptVerification
    applyScanResult:
      name: applyScanResult
      in: query
      description: scan result id that should be applied on the fields
      required: false
      schema:
        $ref: '#/components/schemas/Uuid'
  schemas:
    FieldsResponse:
      type: object
      description: Fields format of expense record
      properties:
        meta:
          type: object
          readOnly: true
          properties:
            summary:
              $ref: '#/components/schemas/MetaSummarySchema'
            capabilities:
              $ref: '#/components/schemas/Capabilities'
        fields:
          description: >-
            Field-builder array describing the editable properties of the
            resource. Each entry pairs a property name with a value and any
            errors.
          allOf:
            - $ref: '#/components/schemas/FieldsArray'
        validationErrors:
          description: >-
            Response-only. Server-populated array of validation errors that
            apply to the resource as a whole (not tied to a specific field).
          allOf:
            - $ref: '#/components/schemas/ValidationErrorArray'
            - readOnly: true
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    MetaSummarySchema:
      type: array
      description: Contains summarised information about report
      items:
        type: object
        properties:
          property:
            type: string
            description: Name of property
          type:
            type: string
            description: >-
              One of the following types will be provided [property_type,
              header, separator, image]
          value:
            type: string
            description: Value assigned to the property
    Capabilities:
      type: object
      properties:
        canBeAddedToReport:
          type: boolean
          description: Indicates if the expense record can be added to a report
          example: false
        canBeRemovedFromReport:
          type: boolean
          description: Indicates if the expense record can be removed from a report
          example: false
        canBeDeleted:
          type: boolean
          description: Indicates if the expense record can be deleted
          example: true
        canBeSentIn:
          type: boolean
          example: true
          description: true if the expense record can be sent in directly without report
        canBeSplit:
          type: boolean
          description: Indicates if the expense record can be split
          example: false
        canBeEdited:
          type: boolean
          description: Indicates if the expense record can be edited
          example: true
        canBeMerged:
          type: boolean
          description: >-
            Indicates if the expense record can be merged with another expense
            record. Will only be true for expense records that are based on card
            transaction, has not been split and is editable by end user.
          example: false
        canAddBreakfast:
          type: boolean
          description: >-
            ONLY PART OF FoodBenefitsSpecifications! Indicates if breakfast is
            available for meal benefits.
          example: false
        canAddLunch:
          type: boolean
          description: >-
            ONLY PART OF FoodBenefitsSpecifications! Indicates if lunch is
            available for meal benefits.
          example: false
        canAddDinner:
          type: boolean
          description: >-
            ONLY PART OF FoodBenefitsSpecifications! Indicates if dinner is
            available for meal benefits.
          example: false
    FieldsArray:
      type: array
      items:
        type: object
        properties:
          name:
            type: string
            description: >-
              A translated name of the field, can be used to present to to the
              user
          property:
            type: string
            description: >
              Identifier of the field. Contains the path to the property in the
              expense API, for example verification.amount, cardLiability.
              Expense record and expense report fields include a hidden
              (`visible: false`) `version` field (controlType INTEGER) holding
              the optimistic-lock version of the stored object (`null` for a new
              object). Send it back unchanged in the fields of the update
              request; if the object has been modified since it was read, the
              update is rejected with 409 CONCURRENT_MODIFICATION.
          controlType:
            type: string
            enum:
              - TEXT
              - MULTI_LINE_TEXT
              - DOUBLE
              - INTEGER
              - SWITCH
              - DATE
              - DATE_TIME
              - LIST
              - CONTENT_HOLDER
              - GUEST_LIST
              - FIELD_GROUP
              - LOCAL_DATE_TIME
              - INFORMATION
          mandatory:
            type: boolean
            description: The field is required
          visible:
            type: boolean
            description: Only fields with visible = true should be shown
          requiresUpdate:
            type: boolean
            description: >-
              Tells the client that if this field is changed, the client must
              call the API again with the fields data
          url:
            type: string
            description: >-
              If controlType is LIST this property contains an url to the
              selectable values for this field
          custom:
            type: boolean
            description: >-
              Indicates if this is a custom field not part of the standard
              fields
          scannable:
            type: boolean
            description: >-
              Indicates if this field is part of the data extracted by the
              receipt scanning
          qrCodeSupported:
            type: boolean
            description: >
              Set on the `verification.receiptAttachment` (CONTENT_HOLDER) field
              when the organization's booking country uses fiscal QR codes on
              receipts (currently Portugal). When `true`, clients should offer a
              QR-scan step in the receipt capture flow and, on success, send the
              decoded string as the `qrScan` header on `POST /content`. Absent
              when not applicable.
          value:
            type: object
            description: >-
              The value of the field, this is dynamic based on the control type.
              For example if the control type is DOUBLE the value property must
              have a double type. For SubsistenceAllowance and property =
              verification.specification[x].date1 or date2, this value is
              set/delivered in format "yyyy-MM-dd HH:mm" where the date is at
              UTC date time
          data:
            type: object
            description: >-
              When calling the fields-endpoint initially, this may contain a
              list object for fields with control type LIST. This way the client
              does not have to make a call to the list endpoint to fetch the
              value. This has the same structure as the result in the list.
            properties:
              id:
                type: string
                description: Represents the id of the value that is set in this Field
              name:
                type: string
                description: Representable text for chosen list item for set id
              section:
                type: integer
              iconUrl:
                type: string
          allowFutureDate:
            type: boolean
            description: >-
              If controlType is DATE or DATE_TIME or LOCAL_DATE_TIME, this
              property is set. Default value is false. If the value is false,
              then date picker shouldn't allow setting date to value higher than
              today's date.
          error:
            type: string
            description: >-
              A string that represents the error. This property is not empty
              when there is some error related to the specific field.
          errorText:
            type: string
            description: >-
              Human readable description of value returned in error property.
              This property is not empty when there is some error related to the
              specific field.
          disabled:
            type: boolean
            description: >-
              Indicates if property should be enabled or disabled for editing.
              In Approval flow, this property is always set to "true".
          fields:
            type: array
            description: >-
              This property is populated when controlType="FIELD_GROUP" and it
              has the same structure as this array of objects. The list of
              objects represents all fields that are related to the specific
              field group.
          deletable:
            type: boolean
            description: >-
              This property is used for removable fields, for example on the
              FIELD_GROUP for a specification in allowance
          deleteCommand:
            allOf:
              - $ref: '#/components/schemas/FieldsCommandSchema'
          informationType:
            type: string
            enum:
              - normal
              - information
              - warning
              - error
              - success
            description: >-
              This property is set when controlType=INFORMATION and it should
              indicate which type of information the field is
          dismissible:
            type: boolean
            description: >-
              This property is set when controlType=INFORMATION to indicate if
              the information is dismissible or not
          multiSelect:
            type: boolean
            description: >-
              This property is going in combination with controlType=LIST to
              indicate that multiple values can be selected from the list
          listItemType:
            type: string
            description: >-
              This property is set when there is controlType=LIST &
              multiSelect=true to indicate which type of item is list made of
          accessorIconUrl:
            type: string
            description: >-
              This property is set by the URL value for the icon which can
              indicate access to different provided commands. It is usually
              provided within the field of controlType=FIELD_GROUP
          accessorText:
            type: string
            description: >-
              This property represents the text that can be set as replacement
              for all the fields behind the defined FIELD_GROUP. It can be used
              as display for accessor to the list of the fields provided in the
              FIELD_GORUP
          numberOfDecimals:
            type: integer
            description: >-
              The maximum number of decimals this field can present, uses
              current currency. only set for fields with an amount in value.
          summary:
            allOf:
              - $ref: '#/components/schemas/MetaSummarySchema'
          commands:
            type: array
            description: >-
              This property contains the list of possible commands that can be
              performed on the specific field
            items:
              allOf:
                - $ref: '#/components/schemas/FieldsCommandSchema'
    ValidationErrorArray:
      type: array
      description: >-
        the list of errors occurred during the saving or sending the expense
        instance (record or report)
      items:
        type: object
        properties:
          errorMessage:
            type: string
            description: description provided for errorCode
          errorCode:
            type: string
            description: textual code of error
          checkType:
            type: string
            enum:
              - BLOCKER
              - ERROR
              - WARNING
            description: >-
              BLOCKER indicates that expense instance cannot be sent unless the
              issue is corrected, ERROR indicates issue with storing/saving
              expense instances, WARNING indicates there is an issue with the
              expense instance but it allows to user to send the expense
              instance
    FieldsCommandSchema:
      type: object
      description: >-
        This property is used to define the command available on the filed of
        controlType=FIELD_GROUP
      properties:
        text:
          type: string
          description: This property contains the text for the command to be displayed
        confirmationRequired:
          type: boolean
          description: >-
            This property indicates if the client should display a dialog with
            confirmation as result of it
        confirmation:
          type: string
          description: >-
            This property contains the text that should be displayed in case
            that confirmationRequired=true and client decided to perform the
            command/action
        command:
          type: string
          description: >-
            This property contains the command that can be executed by
            performing the PUT request with it on the fields endpoint
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````